deps.sh revision 038c85d1f8981a1d1479152b76a7c47ff219417d
type -P node &>/dev/null || { echo "I require node but it's not installed. Aborting." >&2; exit 1; }
type -P yuitest &>/dev/null || { echo "I require yuitest but it's not installed. (npm -g i yuitest) Aborting." >&2; exit 1; }
if [ ! -d "$npmdir" ]; then
echo "local npm build not found, building"
cd ../yui
wait
cd -
fi